d.rast.leg(1)

NAME
d.rast.leg - Displays a raster map and its legend on a graphics window

SYNOPSIS
d.rast.leg
d.rast.leg help
d.rast.leg [-n] map=string [num_of_lines=integer]

  Flags:

-n  omit entries with missing label

  Parameters:

map=string
    raster input map

num_of_lines=integer
    Number of lines to appear in the legend

DESCRIPTION
d.rast.leg is a GRASS script which clears the entire screen, divides it into a main (left) and a minor (right) frames, and then displays a raster map in the main frame and the map legend in the minor frame. The main frame remains active when the program finishs.

NOTES
If the num_of_lines parameter is not given then the legend frame will display as many lines as number of categories in the map, otherwise, it will display the first num_of_lines minus 1 categories with the rest being truncated.

The user may adjust the num_of_lines parameter or the size of graphics window to get an appropriate result.

To remove all frames when clearing the display, use "d.erase -f".

SEE ALSO
d.legend
d.erase
d.rast

AUTHORS
Jianping Xu, Scott Madry, Rutgers University
Markus Neteler

Last changed: $Date: 2005/08/03 13:05:43 $

Help Index